html
{
    height: 100%;
}

body {
    display: flex;
    align-items: center;

}



.form-signin .checkbox {
    font-weight: 400;
}

.form-signin .form-floating:focus-within {
    z-index: 2;
}

.form-signin input[type="email"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}
form {
    max-width: 870px;
    margin: auto;
    border: 1px solid rgb(0 0 0 / 16%);
    padding: 50px;
    border-radius: 5px;
    background: white;
    border: 1px solid #DFDFDF;
}
.form-signin input[type="password"] {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.form-container {
    margin: auto;
    width: 870px;
}
main.form-signin {
    background: #F2F2F2;
}
body {
    display: flex;
    align-items: center;
    padding-top: 0px;
    padding-bottom: 0px;
    background-color: white;
}



.bd-placeholder-img {
    font-size: 1.125rem;
    text-anchor: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}
.failed-login input {
    border: 1px solid red;
}
@media (min-width: 768px) {
    .bd-placeholder-img-lg {
        font-size: 3.5rem;
    }
}

.form-control.failed-login {
    border: 1px solid red;
}

span.login-error {
    text-align: center;
    display: block;
    font-size: 25px;
    margin-top: -30px;
    margin-bottom: 10px;
    color: #9d0d1c;
}